sub RSS_Manage {

	&LoadLanguage("RSS_Feed");
	%rsscat;
	my %rsscatchecked;
	require "$vardir/rssfeed.txt";
	require "$boardsdir/forum.master";

### Set checks for each Category and Board, determined by rssfeed.txt ### 
	foreach $curcat(@categoryorder) {
		if( $rsscat{"$curcat"} eq 'rss' ) {
			$rsscatchecked{"$curcat"} = ' checked';
		}
		$boardlist = $cat{$curcat};
		(@bdlist) = split(/\,/, $boardlist);
		foreach $curboard (@bdlist) {
			if( $rssboard{"$curboard"} eq 'rss' ) {
				$rssboardchecked{"$curboard"} = ' checked';
			}
		}
	}

### Start building page, global RSS settings first, then category check boxs
	$yymain .= qq~
<form action="$adminurl?action=RSS_Manage2" method="post">
<div class="bordercolor" style="padding: 0px; width: 99%; margin-left: 0px; margin-right: auto;">
   <table width="100%" cellspacing="1" cellpadding="4">
     <tr valign="middle">
       <td align="left" class="titlebg">
		 <img src="$imagesdir/preferences.gif" alt="" border="0" /><b>$RSStxt{'07'}</b>
	   </td>
     </tr>
     <tr align="center" valign="middle">
       <td align="left" class="catbg"><span class="small">$modtxt{'1'} $RSStxt{'11'}</span>
	   </td>
     </tr>
     <tr valign="middle">
       <td align="left" class="windowbg2"><br />
	   	 <br />
		 <div class="setting_cell">
			$RSStxt{'01'}
		 </div>
		 <div class="setting_cell2">
			<input type="text" name="RSS_Display" size="3" value="$RSS_Display" />
		 </div>
	   	 <br />
		 <div class="setting_cell">
			$RSStxt{'02'}
		 </div>
		 <div class="setting_cell2">
			<input type="text" name="RSS_Description" size="35" value="$RSS_Description" />
		 </div>
	   	 <br />
		 <div class="setting_cell">
			$RSStxt{'03'}
		 </div>
		 <div class="setting_cell2">
			<input type="text" name="RSS_Timeoffset" size="7" value="$RSS_Timeoffset" />
		 </div>
	   	 <br />
		 <div class="setting_cell">
			$RSStxt{'04'}
		 </div>
		 <div class="setting_cell2">
			<input type="text" name="RSS_Cutoff" size="5" value="$RSS_Cutoff" />
		 </div>
	   	 <br />
		 <div class="setting_cell">
			$RSStxt{'05'}
		 </div>
		 <div class="setting_cell2">
			<input type="text" name="RSS_Image" size="35" value="$RSS_Image" /> <br /><br />
		 </div>
	   	 <br />
		 		 </div>
	   	 <br />
		 <div class="setting_cell">
			$RSStxt{'12'}
		 </div>
		 <div class="setting_cell2">
			<input type="checkbox" name=RSS_RorT value="checked"$RSS_RorT /> <br /><br />
		 </div>
		 <div class="setting_cell">
			$RSStxt{'10'}
		 </div>
~;

	foreach $curcat(@categoryorder) {
		($catname, $catperms) = split(/\|/, $catinfo{"$curcat"});
		$yymain .= qq~
	   	 <br />
		 <div class="setting_cell">
			$RSStxt{'09'} $catname ($curcat)
		 </div>
		 <div class="setting_cell2">
			<input type="checkbox" name="rsscat{$curcat}" value="1"$rsscatchecked{$curcat} />
		 </div>
		~;
		$boardlist = $cat{$curcat};
		(@bdlist) = split(/\,/, $boardlist);
		foreach $curboard (@bdlist) {
			($boardname{$curboard}, $boardperms, $boardview) = split(/\|/, $board{"$curboard"});
			$yymain .= qq~
	   	 <br />
		 <div class="setting_cell">
			$RSStxt{'08'} $boardname{$curboard} ($curboard)
		 </div>
		 <div class="setting_cell2">
			<input type="checkbox" name="rssboard{$curboard}" value="1"$rssboardchecked{$curboard} />
		 </div>
			~;
		}	
	}
	$yymain .= qq~
		 <br /><br />
	   </td>
     </tr>
   </table>
 </div>

<br />


 <div class="bordercolor" style="padding: 0px; width: 99%; margin-left: 0px; margin-right: auto;">
   <table width="100%" cellspacing="1" cellpadding="4">
     <tr valign="middle">
       <td align="center" class="catbg">
		 <input type="submit" value="$admin_txt{'10'}" />
	   </td>
     </tr>
   </table>
 </div>
</form>
~;
$yytitle = $admin_txt{'222'};
	$action_area = "RSS_Feed";
	&AdminTemplate;
	exit;
}

sub RSS_Manage2 {
	$RSS_Display = $FORM{'RSS_Display'} || "5";
	$RSS_Description = $FORM{'RSS_Description'} || "RSS Feed Description Here";
	$RSS_Timeoffset = $FORM{'RSS_Timeoffset'} || "+00:00";
	$RSS_Cutoff = $FORM{'RSS_Cutoff'} || "150";
	$RSS_Image = $FORM{'RSS_Image'} || "$smiliesurl/smiley.gif";
	$RSS_RorT = $FORM{'RSS_RorT'} || "unchecked";
	
	my $filler = q~										      ~;
	my $setfile = << "EOF";
###############################################################################
# rssfeed.txt - Settings for RSS Feed 1.0 beta 7	       		      #
###############################################################################

\$RSS_Display = $RSS_Display;			# Number of recent Posts to display in RSS Feed
\$RSS_Description = "$RSS_Description";	# Description of RSS Feed Content
\$RSS_Timeoffset = "$RSS_Timeoffset";	# Enter Server time offset from GMT in hours (examples: +05:00 or -10:00 )
\$RSS_Cutoff = $RSS_Cutoff;			# Number of characters of each post to show in RSS content description, default = 150
\$RSS_Image = "$RSS_Image";			# URL of image to be used as logo on RSS Feed, default is smiley.
\$RSS_RorT = "$RSS_RorT";
1;
EOF

#### Set RSS Cats
	my %rsscat;
	require "$boardsdir/forum.master";
	foreach $curcat(@categoryorder) {
		chomp $curcat;
		if( $FORM{"rsscat{$curcat}"} ) {$rsscat{"$curcat"} = 'rss'; }
		else { $rsscat{$curcat} = 'norss'; }
		$setfile .= qq~\$rsscat\{"$curcat"\} = "$rsscat{$curcat}";\n~;
		$boardlist = $cat{$curcat};
		(@bdlist) = split(/\,/, $boardlist);
		foreach $curboard (@bdlist) {
			if( $FORM{"rssboard{$curboard}"} ) {$rssboard{"$curboard"} = 'rss'; }
			else { $rssboard{$curboard} = 'norss'; }
			$setfile .= qq~\$rssboard\{"$curboard"\} = "$rssboard{$curboard}";\n~;
		}
	}
	$setfile .= qq~1;\n~;
#### end RSS Cats

	$setfile =~ s~(.+\;)\s+(\#.+$)~$1 . substr( $filler, 0, (70-(length $1)) ) . $2 ~gem;
	$setfile =~ s~(.{64,}\;)\s+(\#.+$)~$1 . "\n   " . $2~gem;
	$setfile =~ s~^\s\s\s+(\#.+$)~substr( $filler, 0, 70 ) . $1~gem;

	fopen(FILE, ">$vardir/rssfeed.txt");
	print FILE $setfile;
	fclose(FILE);

	if ($action eq "RSS_Manage2") {
		$yySetLocation = qq~$adminurl~;
		&redirectexit;
	}
}

1;